Skip to main content
POST
Create Trade

Authorizations

Authorization
string
header
required

Bearer API Key authentication. Format: Authorization: Bearer {your_api_key}

Headers

Request-Id
string
default:008e3967-a1b5-48bb-be14-d5bff5092e61
required

The unique identifier of the request

Body

application/json
amount
string
required

Payment amount, amount must be greater than 0, can be 0 only when using subscription payment method. Truncated to two decimal places

currency
string
required

Transaction currency corresponding to the amount, encoded according to ISO4217

order_id
string
required

Third-party order ID

payment_mode
string
required

Payment business mode:

  • onetime_payment: One-time payment, requires collecting customer payment information, pass payment_method_data field.
  • subscription: Initial subscription payment, requires collecting customer payment information, pass payment_method_data field, returns payment_token for subsequent subscription renewals upon successful payment
  • recurring_payment: Subscription renewal payment, requires passing payment_token to complete payment, no need to collect user payment information
txn_time
string
required

Trade initiation time, UTC format, example: 2025-07-02T15:04:05Z

server_name
string
required

Client domain information, Fixed value: checkout.subotiz.com

customer_id
string

Subotiz customer ID, associate with existing customer in Subotiz, choose one with customer_data field, use this field when you need to associate with existing customer

customer_data
object

Customer data, create customer object in Subotiz, choose one with customer_id field, use this field when you need to create new customer.

metadata
object

A set of key-value pairs that can be attached to an object, allowing you to store additional information in a structured format.

payment_token
string

Customer payment token, used for subscription renewal, required when using recurring_payment payment method.

return_url
string

Redirect page after payment channel accepts successfully in scenarios like 3DS redirect payment

payment_method_data
object

Customer payment information, required for initial subscription payment when using subscription payment method

summary
string

If supported, the field, Transaction Summary, will be passed to the payment provider via its API. Currently, payments for amounts greater than zero via Subotiz Payments are supported only.

refer_info
object

Source information of the customer

Response

200 - application/json

OK

Query trade response by order_id

code
string

error code

message
string

error message

data
object

Query trade response by order_id